cascading.util

## Interface ProcessLogger

- All Known Implementing Classes:
    BaseCascade, BaseFlow, BaseFlowNode, BaseFlowStep, BaseMapReduceFlow, Hadoop2TezFlow, Hadoop2TezFlowStep, HadoopFlow, HadoopFlowStep, LocalFlow, LocalFlowStep, MapReduceFlow, MapReduceFlowStep, MultiMapReduceFlow, ProcessFlow, ProcessFlowStep

      public interface ProcessLogger

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ProcessLogger` | `NULL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDebugEnabled()`
    `boolean` | `isInfoEnabled()`
    `void` | `logDebug(java.lang.String message, java.lang.Object... arguments)`
    `void` | `logError(java.lang.String message, java.lang.Object... arguments)`
    `void` | `logError(java.lang.String message, java.lang.Throwable throwable)`
    `void` | `logInfo(java.lang.String message, java.lang.Object... arguments)`
    `void` | `logWarn(java.lang.String message)`
    `void` | `logWarn(java.lang.String message, java.lang.Object... arguments)`
    `void` | `logWarn(java.lang.String message, java.lang.Throwable throwable)`

- - ### Field Detail

    - #### NULL

          static final ProcessLogger NULL

  - ### Method Detail

    - #### isInfoEnabled

          boolean isInfoEnabled()

    - #### isDebugEnabled

          boolean isDebugEnabled()

    - #### logInfo

          void logInfo(java.lang.String message,
                     java.lang.Object... arguments)

    - #### logDebug

          void logDebug(java.lang.String message,
                      java.lang.Object... arguments)

    - #### logWarn

          void logWarn(java.lang.String message)

    - #### logWarn

          void logWarn(java.lang.String message,
                     java.lang.Object... arguments)

    - #### logWarn

          void logWarn(java.lang.String message,
                     java.lang.Throwable throwable)

    - #### logError

          void logError(java.lang.String message,
                      java.lang.Object... arguments)

    - #### logError

          void logError(java.lang.String message,
                      java.lang.Throwable throwable)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.